function CEndPanel(iScore){
    var _oBg;
    var _oFade;
    var _oButExit;
    var _oButRestart;
    var _oZombieKilledText;
    var _oWaveSurvivedtText;
    var _oScoreText;
    var _oBestScoreText;
    var _oThis;

    var _oContainer;
    var _oFadeContainer;

    this._init = function(){
        _oContainer = new createjs.Container();
        _oFadeContainer = new createjs.Container();
        s_oStage.addChild(_oFadeContainer);
        s_oStage.addChild(_oContainer);
        _oFade = new createjs.Shape();
        _oFade.graphics.beginFill("black").drawRect(0, 0, CANVAS_WIDTH, CANVAS_HEIGHT);
        _oFade.alpha = 0;
        _oBg = createBitmap(s_oSpriteLibrary.getSprite("msg_box"));
        _oFadeContainer.addChild(_oFade);
        _oContainer.addChild(_oBg);

        
        _oScoreText = new createjs.Text(TEXT_YOUR_SCORE+s_oGame.getScore(), "44px " + PRIMARY_FONT, "#cc0000");//#d99b01");
        if(getItem(SCORE_ITEM_NAME))
        {
        _oBestScoreText = new createjs.Text(TEXT_YOUR_BEST_SCORE+getItem(SCORE_ITEM_NAME), "30px " + PRIMARY_FONT, "#d99b01");//#d99b01");
        }
        else
             _oBestScoreText = new createjs.Text(TEXT_YOUR_BEST_SCORE+0, "30px " + PRIMARY_FONT, "#d99b01");
        _oScoreText.textAlign = "center";
        _oScoreText.textBaseline = "alphabetic";
        _oScoreText.x = _oContainer.getBounds().width/2;
        _oScoreText.y = 150;
        
        _oBestScoreText.textAlign = "center";
        _oBestScoreText.textBaseline = "alphabetic";
        _oBestScoreText.x = _oContainer.getBounds().width/2;
        _oBestScoreText.y = 200;


       
     
        _oContainer.addChild(_oZombieKilledText);
        _oContainer.addChild(_oScoreText);
        _oContainer.addChild(_oBestScoreText);

        _oContainer.addChild(_oWaveSurvivedtText);


        _oButExit = new CGfxButton(_oContainer.getBounds().width/2 - 180, 300, s_oSpriteLibrary.getSprite('but_home'), _oContainer);
        _oButExit.addEventListener(ON_MOUSE_UP, this._onExit, this);


        _oButRestart = new CGfxButton(_oContainer.getBounds().width/2 + 180 ,300, s_oSpriteLibrary.getSprite('but_restart'), _oContainer);
        _oButRestart.addEventListener(ON_MOUSE_UP, this._onRestart, this);
        _oContainer.x = CANVAS_WIDTH/2 - _oContainer.getBounds().width/2;
        _oContainer.y = - _oContainer.getBounds().height;
        _oFadeContainer.on("mousedown", function (){});

    };

    this.unload = function(){
        _oButExit.unload();
        _oButExit = null;

        _oButRestart.unload();
        _oButRestart = null;

        s_oStage.removeChild(_oContainer);
        s_oStage.removeChild(_oFadeContainer);
    };
    this.show = function ()
    {
        new createjs.Tween.get(_oFade).to({alpha: 0.8}, 1000);
        new createjs.Tween.get(_oContainer).to({y: CANVAS_HEIGHT/2 - _oContainer.getBounds().height/2}, 1000, createjs.Ease.quintOut).call(s_oGame.togglePause);
       
        _oScoreText.text =TEXT_YOUR_SCORE+s_oGame.getScore();
        if (getItem(SCORE_ITEM_NAME) !== null)
        {
        _oBestScoreText.text =TEXT_YOUR_BEST_SCORE+getItem(SCORE_ITEM_NAME);
    }
    else
                _oBestScoreText.text =TEXT_YOUR_BEST_SCORE+0;

    };

    this._onExit = function(){
        _oThis.unload();
        s_oGame.onExit();
    };

    this._onRestart = function(){
        _oThis.unload();
        s_oGame.restart();
    };

    _oThis = this;
    this._init(iScore);
}