function CRecordPanel ()
{
    var _oContainer;
    var _oBg;
    var _oLabel;
    var _oTextScore;
    var _oTextBestScore;
    var _oTextMatchWins;
    var _oTextSecondPlayerMatchWins;
    this.init = function ()
    {
        if (s_oGame.isMultiPlayer())
        {
           this.initMultiPanel(); 
        }
        else
        {
            this.initSoloPanel();
        }
    };
    this.initSoloPanel = function ()
    {
        _oContainer = new createjs.Container();
        _oBg = createBitmap(s_oSpriteLibrary.getSprite("box_record"));
        _oContainer.addChild(_oBg);
        var oContainerBounds = _oContainer.getBounds();

        _oContainer.x = 490;
        _oContainer.y = 800;
        
        _oLabel = new createjs.Text(TEXT_RECORD_BOX, "32px "+PRIMARY_FONT, "white");
        _oLabel.x = oContainerBounds.width /2 - 40;
        _oLabel.y = 5;
        _oTextMatchWins =  new createjs.Text(TEXT_MATCHES + s_iMatchWon, "22px "+PRIMARY_FONT, "white");
        _oTextMatchWins.x = 20;
        _oTextMatchWins.y = 50;
        _oTextScore = new createjs.Text(TEXT_SCORE + s_oGame.getScore(), "22px "+PRIMARY_FONT, "white");
        _oTextScore.x = 20;
        _oTextScore.y = _oTextMatchWins.y + 35;
        _oTextBestScore = new createjs.Text(TEXT_YOUR_BEST_SCORE + s_oGame.getBestScore(), "20px "+PRIMARY_FONT, "white");
        _oTextBestScore.x = 20;
        _oTextBestScore.y = _oTextScore.y + 35;
        _oContainer.addChild(_oLabel);
        _oContainer.addChild(_oTextMatchWins);
        _oContainer.addChild(_oTextScore);
        _oContainer.addChild(_oTextBestScore);
        
        this.show();
        s_oStage.addChild (_oContainer);
    };
    this.initMultiPanel = function ()
    {
        _oContainer = new createjs.Container();
        _oBg = createBitmap(s_oSpriteLibrary.getSprite("box_record"));
        _oContainer.addChild(_oBg);
        var oContainerBounds = _oContainer.getBounds();

        _oContainer.x = 490;
        _oContainer.y = 800;
        
        _oLabel = new createjs.Text(TEXT_RECORD_BOX, "38px "+PRIMARY_FONT, "white");
        _oLabel.x = oContainerBounds.width /2 - 40;
        _oLabel.y = 5;
        _oTextMatchWins =  new createjs.Text(TEXT_PLAYER_ONE_MATCHES_WON + s_iPlayerOneMatchWon + TEXT_PLAYER_ONE_MATCHES_WON2, "18px "+PRIMARY_FONT, "white");
        _oTextMatchWins.x = 20;
        _oTextMatchWins.y = 60;
        _oTextScore = new createjs.Text(TEXT_PLAYER_TWO_MATCHES_WON + s_iPlayerTwoMatchWon + TEXT_PLAYER_TWO_MATCHES_WON2, "18px "+PRIMARY_FONT, "white");
        _oTextScore.x = 20;
        _oTextScore.y = _oTextMatchWins.y + 50;
       // _oTextBestScore = new createjs.Text(TEXT_YOUR_BEST_SCORE + s_oGame.getBestScore(), "26px "+PRIMARY_FONT, "white");
        //_oTextBestScore.x = 20;
        //_oTextBestScore.y = _oTextScore.y + 35;
        _oContainer.addChild(_oLabel);
        _oContainer.addChild(_oTextMatchWins);
        _oContainer.addChild(_oTextScore);
                this.show();

        //_oContainer.addChild(_oTextBestScore);
        

        s_oStage.addChild (_oContainer);
    };
    this.show = function ()
    {
      new createjs.Tween.get(_oContainer).wait(400).to({y:390}, 600, createjs.Ease.backOut);  
    };
    this.updateScore = function ()
    {
        if (!s_oGame.isMultiPlayer())
        {
    _oTextMatchWins.text = TEXT_MATCHES + s_iMatchWon;
    _oTextScore.text= TEXT_SCORE + s_oGame.getScore();
    _oTextBestScore.text = TEXT_YOUR_BEST_SCORE + s_oGame.getBestScore();
        }
        else
        {
           _oTextMatchWins.text = TEXT_PLAYER_ONE_MATCHES_WON + s_iPlayerOneMatchWon + TEXT_PLAYER_ONE_MATCHES_WON2;
            _oTextScore.text= TEXT_PLAYER_TWO_MATCHES_WON + s_iPlayerTwoMatchWon + TEXT_PLAYER_TWO_MATCHES_WON2;
        }
    };
    this.init();
}