function CHelpPanel(){
    var _oFade;
    var _oBg;
    var _oPanelContainer;
    var _oContentContainer;
    var _oContinueBut;
    var _oBackBut;
    var _oSkipBut;
    var _pStartPosSkip;
    var _pStartPosContinue;
    var _pStartPosBack;
    
    var _oMatchesBitmap;
    
    var _oTitle;
    
    var _oTextRW;
    var _oTextRL;
    var _oTextRD;
    
    var _oTextPW;
    var _oTextPL;
    var _oTextPD;
    
    var _oTextSW;
    var _oTextSL;
    var _oTextSD;
   
   
    var _iPageN;

    this._init = function(){
        _iPageN = 1;
        _oPanelContainer = new createjs.Container();
        _oPanelContainer.x = -600;
        _oContentContainer = new createjs.Container();
        var oSpriteBg = s_oSpriteLibrary.getSprite('help_panel');
        _oBg = createBitmap(oSpriteBg);
        _oBg.x = CANVAS_WIDTH/2 - 320;
        _oBg.y = 100;
        _oFade = new createjs.Shape();
        _oFade.graphics.beginFill("black").drawRect(0, 0, CANVAS_WIDTH, CANVAS_HEIGHT);
        _oFade.alpha = 0.5;
        
        
        _oPanelContainer.addChild(_oBg);
        _oPanelContainer.addChild(_oContentContainer);
        s_oStage.addChild(_oFade);
        s_oStage.addChild(_oPanelContainer);
        _oTitle = new createjs.Text(TEXT_HELP_TITLE1, "42px " + PRIMARY_FONT, "#c84343");
        _oTitle.textAlign = "center";

        _oTitle.x = _oPanelContainer.getBounds().width/2;
        _oTitle.y = -85;
        this.initHelpPage1();

        var iArrowOffset = 260;

        var oSpriteBack = s_oSpriteLibrary.getSprite('but_left');        
        _pStartPosBack = {x: CANVAS_WIDTH * 0.5 - oSpriteBack.width/2 - iArrowOffset, y: CANVAS_HEIGHT * 0.5 + 150};
        _oBackBut = new CGfxButton(_pStartPosBack.x, _pStartPosBack.y, oSpriteBack, _oPanelContainer);
        _oBackBut.addEventListener(ON_MOUSE_UP, this._onBack, this);

        var oSpriteContinue = s_oSpriteLibrary.getSprite('but_right');        
        _pStartPosContinue = {x: CANVAS_WIDTH * 0.5 + oSpriteContinue.width/2 + iArrowOffset, y: CANVAS_HEIGHT * 0.5 + 150};
        _oContinueBut = new CGfxButton(_pStartPosContinue.x, _pStartPosContinue.y, oSpriteContinue, _oPanelContainer);
        _oContinueBut.addEventListener(ON_MOUSE_UP, this._onContinue, this);

        var oSpriteSkip = s_oSpriteLibrary.getSprite('but_skip');        
        _pStartPosSkip = {x: CANVAS_WIDTH * 0.5, y: CANVAS_HEIGHT * 0.5 + 190};
        _oSkipBut = new CGfxButton(_pStartPosSkip.x, _pStartPosSkip.y, oSpriteSkip, _oPanelContainer);
        _oSkipBut.addEventListener(ON_MOUSE_UP, this._onExitHelp, this);
        _oFade.on("mousedown", function(){});
        _oContentContainer.x = 290
        _oContentContainer.y = 230;
        this.show();
       
    };

    this.initHelpPage1 = function()
    {
        
        _oTitle.text = TEXT_HELP_TITLE2;
        _oTitle.textAlign = "center";
        
        _oTextRules = new createjs.Text(TEXT_GAME_RULES, "28px " + PRIMARY_FONT, "#c84343");
        _oTextRules.x = 5;
        _oTextRules.y = - 20
        _oTextRules.lineWidth = 600;
        _oTextRules.lineHeight = 32;
        _oContentContainer.addChild(_oTitle);
        _oContentContainer.addChild(_oTextRules);

    };

    this.initHelpPage2 = function() 
    {
        _oMatchesBitmap = createBitmap(s_oSpriteLibrary.getSprite("help_content"));
        
        _oTitle.text = TEXT_HELP_TITLE1;

        _oTextRW = new createjs.Text(TEXT_ROCK_WINS, "33px " + PRIMARY_FONT, "#c84343");
        _oTextRW.x = 5;
        _oTextRW.y = -42;
        _oTextRL = new createjs.Text(TEXT_ROCK_LOSE, "33px " + PRIMARY_FONT, "#c84343");
        _oTextRL.y = _oTextRW.y + 82;
        _oTextRL.x = _oTextRW.x;
        _oTextRD = new createjs.Text(TEXT_ROCK_DRAW, "33px " + PRIMARY_FONT, "#c84343");
        _oTextRD.y = _oTextRL.y + 82;
        _oTextRD.x = _oTextRL.x;
        
        _oTextPW = new createjs.Text(TEXT_PAPER_WINS, "33px " + PRIMARY_FONT, "#c84343");
        _oTextPW.x = _oTextRW.x + 210;
        _oTextPW.y = -42;
        _oTextPL = new createjs.Text(TEXT_PAPER_LOSE, "33px " + PRIMARY_FONT, "#c84343");
        _oTextPL.y = _oTextPW.y + 82;
        _oTextPL.x = _oTextPW.x;
        _oTextPD = new createjs.Text(TEXT_PAPER_DRAW, "33px " + PRIMARY_FONT, "#c84343");
        _oTextPD.y = _oTextPL.y + 82;
        _oTextPD.x = _oTextPL.x;
        
        _oTextSW = new createjs.Text(TEXT_PAPER_WINS, "33px " + PRIMARY_FONT, "#c84343");
        _oTextSW.x = _oTextPW.x + 210;
        _oTextSW.y = -42;
        _oTextSL = new createjs.Text(TEXT_PAPER_LOSE, "33px " + PRIMARY_FONT, "#c84343");
        _oTextSL.y = _oTextSW.y + 82;
        _oTextSL.x = _oTextSW.x;
        _oTextSD = new createjs.Text(TEXT_PAPER_DRAW, "33px " + PRIMARY_FONT, "#c84343");
        _oTextSD.y = _oTextSL.y + 82;
        _oTextSD.x = _oTextSL.x;
        
        
        
        
        _oContentContainer.addChild(_oMatchesBitmap);

        _oContentContainer.addChild(_oTextRW);
        _oContentContainer.addChild(_oTextRL);
        _oContentContainer.addChild(_oTextRD);
        _oContentContainer.addChild(_oTextPW);
        _oContentContainer.addChild(_oTextPL);
        _oContentContainer.addChild(_oTextPD);
        _oContentContainer.addChild(_oTextSW);
        _oContentContainer.addChild(_oTextSL);
        _oContentContainer.addChild(_oTextSD);
        _oContentContainer.addChild(_oTitle);
        
    };

    
    // BACK TO FIRST HELP PAGE
    this._onBack = function() {
        _iPageN--;
       if (_iPageN < 1)
            _iPageN = 1;
        this.removePage();

    };
    
   this.removePage = function ()
   {
     _oContentContainer.removeAllChildren();
        switch (_iPageN) {
            case 1:
                this.initHelpPage1 ();
                break;
            case 2:
                this.initHelpPage2();
                break;
           
            default:

                break;
        }
   };
    
    // CREATE A SECOND HELP PAGE
    this._onContinue = function() {
        _iPageN++;
        if (_iPageN > 2)
            _iPageN = 2;
        this.removePage();
    };

    this.unload = function(){
        s_oStage.removeChild(_oPanelContainer, _oFade);
        _oContinueBut.unload();
        _oBackBut.unload();
        _oSkipBut.unload();

    };
    this.show = function ()
    {
      new createjs.Tween.get(_oPanelContainer).to({x: 0}, 1200, createjs.Ease.elasticOut);
    };
    this._onExitHelp = function(){
        this.unload();
        setTimeout( s_oGame._onExitHelp, 200);
    };

    this._init();

}