function CSelectPlayers ()
{
    var _oSelectPlayerContainer;
    var _oBgSprite;
    var _oButSinglePlayer;
    var _oButMultiPlayer;
    var _oTextLabel;
    this.init = function ()
    {
        _oSelectPlayerContainer = new createjs.Container();
        _oBgSprite = createBitmap(s_oSpriteLibrary.getSprite("game_section"));
        _oSelectPlayerContainer.x = 157;
        _oSelectPlayerContainer.y = 685;
        _oSelectPlayerContainer.addChild(_oBgSprite);
        
        _oTextLabel = new createjs.Text(TEXT_SELECT_PLAYERS, "56px " + PRIMARY_FONT, "white");
        _oTextLabel.x = _oSelectPlayerContainer.getBounds().width/2 - 180;
        _oTextLabel.y = 20
                _oSelectPlayerContainer.addChild(_oTextLabel);

        var oSinglePlayerSprite = s_oSpriteLibrary.getSprite("but_solo");
        _oButSinglePlayer = new CGfxButton(229, 144, oSinglePlayerSprite, _oSelectPlayerContainer);
        _oButSinglePlayer.addEventListener(ON_MOUSE_UP, this.soloSelected, this);
        
        var oMultiPlayerSprite = s_oSpriteLibrary.getSprite("but_multi");
        _oButMultiPlayer = new CGfxButton(687, 144, oMultiPlayerSprite, _oSelectPlayerContainer);
        _oButMultiPlayer.addEventListener(ON_MOUSE_UP, this.multiSelected, this);

        s_oStage.addChild(_oSelectPlayerContainer);
        this.show();
        
    };
    this.show = function ()
{
    new createjs.Tween.get(_oSelectPlayerContainer).to({y:85}, 500, createjs.Ease.cubicOut);
}
    this.unload = function ()
    {
        _oButMultiPlayer.disable();
        _oButSinglePlayer.disable();
        s_oStage.removeChild(_oSelectPlayerContainer);
    }
    this.soloSelected = function ()
    {
        this.unload();
        s_oGame.initGameSolo();
    };
     this.multiSelected = function ()
    {
        this.unload();
        s_oGame.initGameMulti();
    }
    
    
    this.init();
}

