function CSelectThrow (iPlayer, szPlayerName)
{
    var _oSelectThrowContainer;
    var _aButtons;
    var _iPlayerSelect;
    var _oLabelText;
    var _iPlayerId;
    this.init = function (iPlayer, szPlayerName)
    {
        _oSelectThrowContainer = new createjs.Container();
        _aButtons = [];
        _oLabelText = new createjs.Text(szPlayerName + TEXT_CHOOSE_THROW, "42px "+ PRIMARY_FONT, "Yellow");
        var iXPos = 0;
        for (var i = 0; i < 3; i++) {
            oSprite = s_oSpriteLibrary.getSprite("throw_"+i);
            oButton = new CGfxButton(iXPos, 120, oSprite, _oSelectThrowContainer);
            oButton.addEventListenerWithParams(ON_MOUSE_UP, this.setPlayerSelection, this, i);
            _aButtons.push(oButton);
            iXPos += 250;
        }
        //_oSelectThrowContainer.addChild(_oLabelText);
        _oLabelText.x = _oSelectThrowContainer.getBounds().width/2 - 30;
        _oLabelText.textAlign = "center";
        _oSelectThrowContainer.y = 120;
        _oSelectThrowContainer.x = 340;
        _oSelectThrowContainer.alpha = 0;
        s_oStage.addChild (_oSelectThrowContainer); 
        new createjs.Tween.get(_oSelectThrowContainer).to({alpha: 1}, 300);
        _iPlayerId = iPlayer;
    };
    this.unload = function ()
    {
      s_oStage.removeChild(_oSelectThrowContainer);
        for (var i = 0; i < _aButtons.length; i++) {
            _aButtons[i].disable();
        }
    };
    this.show = function ()
    {
        s_bOnSelect = true;
       _oSelectThrowContainer.visible = true; 
    };
    this.hide = function ()
    {
        
        _oSelectThrowContainer.visible = false;
    };
    this.setPlayerSelection = function (selection)
    {
        _iPlayerSelect = selection;
        s_oGame.playerThrow(_iPlayerId, _iPlayerSelect);
        this.hide();
        s_bOnSelect = false;

        //s_oGame.toggleCompares();
        //s_oGameSection.toggleVisibleText();
    };
    
    this.getPlayerSelection = function ()
    {
      if (!_iPlayerSelect)
          return _iPlayerSelect;
    };
    
    this.init(iPlayer, szPlayerName);
}

